Gentoo Logo

Analog: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200903-40 / analog
Release Date March 29, 2009
Latest Revision March 29, 2009: 01
Impact normal
Exploitable local
Package Vulnerable versions Unaffected versions Architecture(s)
app-admin/analog < 6.0-r2 >= 6.0-r2 All supported architectures

Related bugreports: #249140

Synopsis

A Denial of Service vulnerability was discovered in Analog.

2.  Impact Information

Background

Analog is a a webserver log analyzer.

Description

Diego E. Petteno reported that the Analog package in Gentoo is built with its own copy of bzip2, making it vulnerable to CVE-2008-1372 (GLSA 200804-02).

Impact

A local attacker could place specially crafted log files into a log directory being analyzed by analog, e.g. /var/log/apache, resulting in a crash when being processed by the application.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All Analog users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=app-admin/analog-6.0-r2"

NOTE: Analog is now linked against the system bzip2 library.

4.  References



Print

Page updated March 29, 2009

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.